Update a schedule | Moov Documentation
Update a schedule
Describes the schedule to modify.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.
PUT
/accounts/{accountID}/schedules/{scheduleID}
Ask
curl -X PUT "https://api.moov.io/accounts/{accountID}/schedules/{scheduleID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
now := time.Now()
start := now.AddDate(0, 1, 0)
mc.CreateSchedule(ctx, accountID, moov.CreateSchedule{
Description: "new string",
Occurrences: []moov.CreateOccurrence{
{
RunOn: now,
RunTransfer: moov.CreateRunTransfer{
Description: "Gym Dues",
Amount: moov.ScheduleAmount{
Value: 1304,
Currency: "USD",
},
PartnerAccountID: "string",
Source: moov.SchedulePaymentMethod{
PaymentMethodID: "string",
},
Destination: moov.SchedulePaymentMethod{
PaymentMethodID: "string",
},
},
},
},
Recur: &moov.CreateRecur{
Start: &start,
RecurrenceRule: "FREQ=MONTHLY;COUNT=5",
RunTransfer: moov.CreateRunTransfer{
Description: "Gym Dues",
Amount: moov.ScheduleAmount{
Value: 1304,
Currency: "USD",
},
PartnerAccountID: "string",
Source: moov.SchedulePaymentMethod{
PaymentMethodID: "string",
},
Destination: moov.SchedulePaymentMethod{
PaymentMethodID: "string",
},
},
},
})
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.scheduling.update({
accountID: "becca38e-c01f-4cfc-8f7c-187c7cf6a7a3",
scheduleID: "1b29a8ad-60ee-4c90-90e7-fda62cd24154",
upsertSchedule: {
occurrences: [
{
occurrenceID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
runOn: new Date("2009-11-10T23:00:00Z"),
runTransfer: {
amount: {
currency: "USD",
value: 1204,
},
destination: {
paymentMethodID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
achDetails: {
companyEntryDescription: "Gym dues",
originatingCompanyName: "Whole Body Fit",
},
cardDetails: {
dynamicDescriptor: "WhlBdy *Yoga 11-12",
},
},
partnerAccountID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
source: {
paymentMethodID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
achDetails: {
companyEntryDescription: "Gym dues",
originatingCompanyName: "Whole Body Fit",
},
cardDetails: {
dynamicDescriptor: "WhlBdy *Yoga 11-12",
},
},
description: "er reasoning following veto oof fervently ha how till now",
},
},
],
recur: {
recurrenceRule: "<value>",
runTransfer: {
amount: {
currency: "USD",
value: 1204,
},
salesTaxAmount: {
currency: "USD",
value: 1204,
},
destination: {
paymentMethodID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
achDetails: {
companyEntryDescription: "Gym dues",
originatingCompanyName: "Whole Body Fit",
},
cardDetails: {
dynamicDescriptor: "WhlBdy *Yoga 11-12",
},
},
partnerAccountID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
source: {
paymentMethodID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
achDetails: {
companyEntryDescription: "Gym dues",
originatingCompanyName: "Whole Body Fit",
},
cardDetails: {
dynamicDescriptor: "WhlBdy *Yoga 11-12",
},
},
description: "er reasoning following veto oof fervently ha how till now",
lineItems: {
items: [
{
name: "<value>",
basePrice: {
currency: "USD",
valueDecimal: "12.987654321",
},
quantity: 973458,
options: [
{
name: "<value>",
quantity: 221042,
priceModifier: {
currency: "USD",
valueDecimal: "12.987654321",
},
},
],
},
],
},
},
start: new Date("2009-11-10T23:00:00Z"),
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\